import Immutable from 'immutable';
declare const ChartTableState_base: Immutable.Record.Factory<{
    sortedColumns: Immutable.Map<unknown, unknown>;
}>;
declare class ChartTableState extends ChartTableState_base {
    sortColumn(chartName: any, columnName: any, direction: any): this;
}
declare const state: {
    reducer: (state: ChartTableState | undefined, action: any) => ChartTableState;
    actions: {
        SORT_COLUMN: string;
    };
    creators: {
        sortColumn: (chartName: any, columnName: any, direction: any) => {
            type: string;
            chartName: any;
            columnName: any;
            direction: any;
        };
    };
};
export default state;
