import Immutable from 'immutable';
export declare const getDateFilters: () => {
    name: string;
    startDate: Date;
    endDate: Date;
}[];
export declare const dateFilterList: {
    name: string;
    startDate: Date;
    endDate: Date;
}[];
declare const GlobalFiltersState_base: Immutable.Record.Factory<{
    _filters: Immutable.Map<string, string[]>;
}>;
declare class GlobalFiltersState extends GlobalFiltersState_base {
    getFilters(): Object;
    getFilter(filterName: any): string[] | undefined;
    setGlobalFilter(filterName: any, filterValues: any): this;
    removeGlobalFilter(filterName: any): this;
    setUnit(pathname: any): this;
}
declare const state: {
    reducer: (state: GlobalFiltersState | undefined, action: any) => GlobalFiltersState;
    actions: {
        SET_GLOBAL_FILTER: string;
    };
    creators: {
        setGlobalFilter: (filterName: any, filterValues: any) => {
            type: string;
            filterName: any;
            filterValues: any;
        };
    };
};
export default state;
