export declare const getValueForType: (column: {
    type: string;
}, value: string | number | Date | null) => import("plotly.js").Datum;
export declare const getCSVUrl: (chartName: string, filters: {
    [x: string]: any;
}) => string;
export declare const ApiCreators: {
    loadChart: (chartName: any, filters?: {}) => {
        type: string;
        chartName: any;
        filters: {};
    };
    loadColumns: (chartName: any, filters?: {}) => {
        type: string;
        chartName: any;
        filters: {};
    };
    loadQueries: (chartName: any, filters?: {}) => {
        type: string;
        chartName: any;
        filters: {};
    };
    loadTemplates: (chartName: any, filters?: {}) => {
        type: string;
        chartName: any;
        filters: {};
    };
    submitQuery: (chartName: any, queryName: any, filters?: {}, reportTemplateName?: string) => {
        type: string;
        chartName: any;
        queryName: any;
        filters: {};
        reportTemplateName: string;
    };
};
export declare const ApiActions: {
    LOAD_CHART: string;
    LOAD_COLUMNS: string;
    LOAD_QUERIES: string;
    LOAD_TEMPLATES: string;
    SUBMIT_QUERY: string;
};
export declare function fetchSqlQueryList(dispatchFunc: any): null;
export declare const runReport: (chartName: any, filters: any, reportName: any) => string;
