import Immutable from 'immutable';
export declare const actions: {
    LOADING_COLUMNS: string;
    LOADED_COLUMNS: string;
};
export declare const creators: {
    loadingColumns: (chartName: any) => {
        type: string;
        chartName: any;
    };
    loadedColumns: (chartName: any, columnData: any, filters: any) => {
        type: string;
        chartName: any;
        columnData: any;
        filters: any;
    };
};
declare const TableState_base: Immutable.Record.Factory<{
    _tables: Immutable.Map<unknown, unknown>;
}>;
declare class TableState extends TableState_base {
    getTable(chartName: any): unknown;
    loadingChart(chartName: any): this;
    pageChange(): this;
    loadedChart(chartName: any, columnData: any, filters: any): this;
}
declare const state: {
    reducer: (state: TableState | undefined, action: any) => TableState;
    actions: {
        LOADING_COLUMNS: string;
        LOADED_COLUMNS: string;
    };
    creators: {
        loadingColumns: (chartName: any) => {
            type: string;
            chartName: any;
        };
        loadedColumns: (chartName: any, columnData: any, filters: any) => {
            type: string;
            chartName: any;
            columnData: any;
            filters: any;
        };
    };
};
export default state;
